from PyQt5.QtCore import Qt
from PyQt5.QtWidgets import QWidget, QPushButton, QLineEdit, QLabel, QGridLayout

class TestWidget(QWidget):
    def __init__(self,parent=None):
        super(TestWidget,self).__init__(parent)
        self.initUI()
    
    def initUI(self):     
        button = QPushButton("Test", self)
        lbl = QLabel(self)
        lbl.setText('Results :')
        self.qle = QLineEdit(self)
        self.qle.setReadOnly(True)
        button.clicked.connect(self.on_click)
        grid = QGridLayout()
        grid.addWidget(lbl,1,0)
        grid.addWidget(self.qle,1,1)
        grid.addWidget(button,1,2)
        self.setLayout(grid) 

    def on_click(self):
        parent = self.parent()
        parent.scribbleArea.clearImage()