from PyQt5.QtCore import Qt
from PyQt5.QtWidgets import QWidget, QPushButton, QLineEdit, QLabel, QGridLayout

class TrainWidget(QWidget):
    def __init__(self,parent=None):
        super(TrainWidget,self).__init__(parent)
        self.initUI()
    
    def initUI(self):
        lbl = QLabel(self)
        lbl.setText('Label : ')
        self.qle = QLineEdit(self)
        button = QPushButton("Save", self)
        button.clicked.connect(self.on_click)
        grid = QGridLayout()
        grid.addWidget(lbl,1,0)
        grid.addWidget(self.qle,1,1)
        grid.addWidget(button,1,2)
        self.setLayout(grid)

    def on_click(self):
        parent = self.parent()
        parent.scribbleArea.saveImage(self.qle.text())
        parent.scribbleArea.clearImage()