from PyQt5.QtCore import Qt
from PyQt5.QtWidgets import QWidget, QPushButton, QGridLayout

class ClearButton(QWidget):
    def __init__(self,parent=None):
        super(ClearButton,self).__init__(parent)
        self.initUI()
    
    def initUI(self):
        button = QPushButton("Clear Image", self)
        button.move(220,0)
        button.clicked.connect(self.on_click)
        grid = QGridLayout()
        grid.addWidget(button,1,0,1,2)
        self.setLayout(grid) 

    def on_click(self):
        parent = self.parent()
        parent.scribbleArea.clearImage()