from PyQt5.QtCore import Qt
from PyQt5.QtWidgets import (QAction, QApplication, QWidget,QGridLayout)
from board import Board
from clearButton import ClearButton
from trainWidget import TrainWidget
from testWidget import TestWidget

class MainWindow(QWidget):
    def __init__(self,parent=None):
        super(MainWindow, self).__init__(parent)
        self.scribbleArea = Board()
        self.button = ClearButton()
        self.train = TrainWidget()
        self.test = TestWidget()
        grid = QGridLayout()
        grid.addWidget(self.scribbleArea,1,0)
        grid.addWidget(self.button,2,0)
        grid.addWidget(self.train,3,0)
        grid.addWidget(self.test,4,0)
        self.setLayout(grid)
        self.setWindowTitle("number ubu")
        self.resize(512, 650)

if __name__ == '__main__':
    import sys

    app = QApplication(sys.argv)
    window = MainWindow()
    window.show()
    sys.exit(app.exec_())
